IF NOT EXISTS (SELECT * FROM sysobjects WHERE Name='WebProcesos' AND xtype='U')
BEGIN
	CREATE TABLE WebProcesos
	(
		Id_Web_Proceso				INT NOT NULL IDENTITY(1,1),
		Tipo_Operacion				VARCHAR(1),						/*N: Nuevo Socio, C: Comprobantes, P: Productos*/
		Nro_Operacion				VARCHAR(100),
		Nro_Operacion_Externo		VARCHAR(100),
		Fecha_Creacion				DATETIME,
		Fecha_Procesamiento			DATETIME,
		Id_Estado					TINYINT,						/*0: En carga (No se ejecuto el proceso aun), 1: Pediente (Procesando en la BD), 2: Completo (Proceso Finalizado)*/
		Json						TEXT
	)
END
GO

IF EXISTS (SELECT * FROM sysobjects WHERE Name='WebProcesos' AND xtype='U')
BEGIN
	ALTER TABLE WebProcesos ADD CONSTRAINT PK_WEBP_PorId PRIMARY KEY CLUSTERED (Id_Web_Proceso)	
END
GO